/***************************************************************************
 *   Copyright (C) 2002 by Rodolfo Conde                                   *
 *   aragorn@ciencias.unam.mx                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

import java.lang.System;
 
/** The map of the game field, here we do a little tradeoff time-memory in favor of time */
public class GameMap {
	/* Map's tiles */
	
	/** Plain tile */
	public static final char PLAIN = '.';
	
	/** Water tile */
	public static final char WATER = '~';
	
	/** Wall tile */
	public static final char WALL = '#';
	
	/** Home base tile */
	public static final char HOME_BASE = '@';
	
	/** the map */
	private char [][]map;

	/** width */
	private int width;
	
	/** height */
	private int height;
	
	/** Constructs a new game map
	 * @param w width of the map
	 * @param h height of the map
	 * @param field the drawing of the map
	 */
	 public GameMap(int w, int h, char [][]field)
	 {
	 	map = new char[h + 1][w + 1];
		
		System.out.println("The map is: ");
		
		for (int i = 1; i <= h; ++i) {
			//System.arraycopy((Object []) field[i - 1], 0, (Object []) map[i], w + 1);
			for (int j = 1; j <= w; ++j)
				map[i][j] = field[i - 1][j - 1];

			System.out.println(new String(map[i]));
		}

		height = h;
		width = w;
	 }

	/** get whats inside the (x, y) position */
	 public char getAt(int x, int y)
	{
		return map[x][y];
	}

	/** get width */
	public int width()
	{
		return width;
	}

	/** get height */
	public int height()
	{
		return height;
	}
}