/***************************************************************************
 *   Copyright (C) 2002 by Rodolfo Conde                                   *
 *   aragorn@ciencias.unam.mx                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

/**
 * This class is as the name says <b>identified</b>, it has an integer
 * as identifier, its common to the robot and the packages classes.
 *
 * @see SimpleRobot
 * @see Package
 *
 */
 
public class IdentifiedWithPosition {
	/** the integer with wich we're identified :) */
	protected int id;
	
	/** The x cordinate of the Object */
	protected int x_pos;
    
	/** The y cordinate of the Object */
	protected int y_pos;

	
	/**
	 * Make a new identified object with position (x, y)
	 *
	 * @param ident the identifier of this object
	 *
	 */
	public IdentifiedWithPosition(int ident, int x, int y)
	{
		id = ident;
		x_pos = x;
		y_pos = y;
	}

	/** Makes a new Object with the specified id */
	public IdentifiedWithPosition(int ident)
	{
		this(ident, 0, 0);
	}
    
	/** Default constructor */
	public IdentifiedWithPosition()
	{
		this(0, 0, 0);
	}
	
	/**
	 * Returns the identifier asociated with this object
	 *
	 * @return the identifier
	 * @see #id
	 *
	 */
	 public int id()
	 {
	 	return id;
	 }

	public void setId(int iden)
	{
		id = iden;
	}
	 
    /** get the X position of the Object
     * @return the x position of the Object
     *
     */
    public int x()
    {
	return x_pos;
    }
    
    /** get the Y position of the Object
     * @return the y position of the Object
     *
     */
    public int y()
    {
	return y_pos;
    }
    
    /** Sets the x coordinate of the Object.
     * @param x new x position
     *
     */
    public void setX(int x)
    {
	x_pos = x;
    }
    
    /** Sets the y coordinate of the Object.
     * @param y new y position
     *
     */
    public void setY(int y)
    {
	y_pos = y;
    }
    
    /** Sets the new position of the Object, (x, y) both
     * @param x new x coordinate
     * @param y new y coordinate
     *
     */
    public void setPos(int x, int y)
    {
	x_pos = x;
	y_pos = y;
    }
}
