/***************************************************************************
 *   Copyright (C) 2002 by Rodolfo Conde                                   *
 *   aragorn@ciencias.unam.mx                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

 
/**
 * This class is the abstraction of a game package
 *
 */
public class Package extends IdentifiedWithPosition {
	/** The weight of the pack */
	private int w;
	
	/**
	 * makes a new package with the given parameters
	 * @param id identifier asociated
	 * @param x x position of package's destination
	 * @param y y position of package's destination
	 * @param weight weight of the package
	 *
	 */
	 public Package(int id, int x, int y, int weight)
	 {
	 	super(id, x, y);
		w = weight;
	 }
	 
	 /** makes a package with given id and weight
	  * @param id identifier
		* @param weight weight asociated
		*
		*/
		public Package(int id, int weight)
		{
			this(id, 0, 0, weight);
		}
		
		/** Default constructor */
		public Package()
		{
			this(0, 0, 0, 0);
		}
		
		/** sets the weight of the package
		 *
		 * @param weight the new weight
		 *
		 */
		 public void setWeight(int weight)
		 {
		 	w = weight;
		 }
		 
		 /** Returns the weight of the package
		  *
			* @return the weight of the package
			*
			*/
			public int weight()
			{
				return w;
			}
}
